- Home
- API Enriched
- Tenant And Identity
- web
- DELETE Tenant.
DELETE Tenant.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/request-delete';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","feedback":"example","name":"example","reason":"REASON_UNKNOWN"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/request-delete \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "feedback": "example", "name": "example", "reason": "REASON_UNKNOWN" }'Request to mark Tenant for deletion queue, after approve it will completely removed from the system.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request for marking Tenant for deletion.
object
Email of freemium account which need to be deleted.
Feedback from the customer related to reason of account deletion.
Tenant name marked for deletion.
Responses
Section titled “Responses”A successful response.
LookupCnameResponse sets the response format based on the availability of cname.
It can return any of these three types of errors. EEXISTS => cname exists. EOK => valid request. However, cname does not exist. EUNKNOWN => internal error in fetching tenants info.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example